use actix_web::{web, Responder};

use crate::{
    endpoints::clothing::EditClothingPartialTemplate,
    models::{Role, User},
    utils::{ApplicationError, TemplateResponse},
};

#[actix_web::get("/clothing/new")]
pub async fn get(user: web::ReqData<User>) -> Result<impl Responder, ApplicationError> {
    if user.role != Role::Admin {
        return Err(ApplicationError::Unauthorized);
    }

    let template = EditClothingPartialTemplate {
        id: None,
        name: None,
    };

    Ok(template.to_response()?)
}
